# --------------------------------------------------------
#
# Table structure for table 'admin_info'
#

CREATE TABLE admin_info (
   user_id varchar(15) NOT NULL,
   user_passwd varchar(15) NOT NULL,
   user_perm varchar(10) DEFAULT 'user' NOT NULL,
   uniqueid varchar(32) NOT NULL,
   PRIMARY KEY (user_id)
);

INSERT INTO admin_info VALUES ( 'admin', 'admin', 'admin', '');


# --------------------------------------------------------
#
# Table structure for table 'board_data'
#

CREATE TABLE board_data (
   Id int(11) NOT NULL auto_increment,
   table_name varchar(20) NOT NULL,
   tpl_directory varchar(20) DEFAULT 'template',
   tpl_list varchar(20) DEFAULT 'guest_list.ihtml',
   tpl_view varchar(20) DEFAULT 'guest_view.ihtml',
   tpl_form varchar(20) DEFAULT 'guest_form.ihtml',
   tpl_smpl_list varchar(20) DEFAULT 'guest_slist.ihtml',
   lnk_list varchar(20) DEFAULT 'guest_list.php',
   lnk_view varchar(20) DEFAULT 'guest_view.php',
   lnk_input varchar(20) DEFAULT 'guest_input_form.php',
   lnk_input_proc varchar(20) DEFAULT 'guest_input.php',
   lnk_delete varchar(20) DEFAULT 'guest_delete.php',
   title_image varchar(40) DEFAULT 'images/BBS.gif',
   afterurl varchar(100),
   upload char(1) DEFAULT '1' NOT NULL,
   limit_step smallint(6) DEFAULT '-1',
   auth_list varchar(10) DEFAULT 'nobody',
   auth_view varchar(10) DEFAULT 'nobody',
   auth_input varchar(10) DEFAULT 'nobody',
   auth_input_proc varchar(10) DEFAULT 'nobody',
   PRIMARY KEY (Id, table_name)
);


# --------------------------------------------------------
#
# Table structure for table 'board_manager'
#

CREATE TABLE board_manager (
   id int(11) NOT NULL auto_increment,
   table_name varchar(50) NOT NULL,
   description varchar(255) NOT NULL,
   use_flag char(1) DEFAULT 'T' NOT NULL,
   wdate varchar(15) NOT NULL,
   PRIMARY KEY (id)
);

